version: '3.9'
services:
  bouncer-traefik:
    image: ${BT_IMAGE}:${BT_VERSION}
    container_name: ${BT_CONTAINER_NAME}
    restart: ${BT_RESTART_POLICY}
    environment:
      CROWDSEC_BOUNCER_API_KEY: eLmERq8vakeLcw6v7+ICdLSeU7UI//cvADz3EW0T7+g # docker exec -t crowdsec cscli bouncers add traefik-bouncer
      CROWDSEC_AGENT_HOST: ${CROWDSEC_CONTAINER_NAME}:8080
      GIN_MODE: release
    networks:
      - proxy
      #proxy:
        #ipv4_address: ${BT_IP} 
#    depends_on:
#      - crowdsec
    security_opt:
      - no-new-privileges:true
